Package org.globus.gsi.stores

# Class ResourceCertStoreParameters

java.lang.Object
org.globus.gsi.stores.ResourceCertStoreParameters

All Implemented Interfaces:
  `Cloneable`, `CertStoreParameters`

public class ResourceCertStoreParameters extends Object implements CertStoreParameters
Created by IntelliJ IDEA. User: turtlebender Date: Dec 29, 2009 Time: 1:06:39 PM To change this template use File | Settings | File Templates.

## Constructor Summary

Constructors
Constructor
Description
`ResourceCertStoreParameters(String certLocationPattern, String crlLocationPattern)`
Please use the `Stores` class to generate Key/Cert stores

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Makes a copy of this `CertStoreParameters`.
`String`
`getCertLocationPattern()`
`String`
`getCrlLocationPattern()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceCertStoreParameters

public ResourceCertStoreParameters(String certLocationPattern, String crlLocationPattern)
Please use the `Stores` class to generate Key/Cert stores

## Method Details

### getCrlLocationPattern

public String getCrlLocationPattern()

### getCertLocationPattern

public String getCertLocationPattern()

### clone

public Object clone()
Makes a copy of this `CertStoreParameters`.

The precise meaning of "copy" may depend on the class of the `CertStoreParameters` object. A typical implementation performs a "deep copy" of this object, but this is not an absolute requirement. Some implementations may perform a "shallow copy" of some or all of the fields of this object.

Note that the `CertStore.getInstance` methods make a copy of the specified `CertStoreParameters`. A deep copy implementation of `clone` is safer and more robust, as it prevents the caller from corrupting a shared `CertStore` by subsequently modifying the contents of its initialization parameters. However, a shallow copy implementation of `clone` is more appropriate for applications that need to hold a reference to a parameter contained in the `CertStoreParameters`. For example, a shallow copy clone allows an application to release the stores of a particular `CertStore` initialization parameter immediately, rather than waiting for the garbage collection mechanism. This should be done with the utmost care, since the `CertStore` may still be in use by other threads.

Each subclass should state the precise behavior of this method so that users and developers know what to expect.

Specified by:
  `clone` in interface `CertStoreParameters`
Overrides:
  `clone` in class `Object`
Returns:
  a copy of this `CertStoreParameters`